import { AfterViewInit } from '@angular/core';
import * as i0 from "@angular/core";
export declare class NgxPuzzleEditorComponent implements AfterViewInit {
    className: string;
    protected readonly MIN_WIDTH = 100;
    protected readonly MIN_HEIGHT = 100;
    width: number;
    height: number;
    leftCollapsed: import("@angular/core").WritableSignal<boolean>;
    rightCollapsed: import("@angular/core").WritableSignal<boolean>;
    constructor();
    ngAfterViewInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<NgxPuzzleEditorComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NgxPuzzleEditorComponent, "ngx-puzzle-editor, puzzle-editor", never, {}, {}, never, never, true, never>;
}
